
//职业指导 搜索
function Search_Employment()
{
	var Url;
	var Classid,Key;
	
	Classid		= document.getElementById("ddl_Classid").value;
	Key			= document.getElementById("txt_Key").value;
	
	if(Key == "请输入关键字"){Key = "";}
	
	Url = "../Info/Employment_Search.aspx?Classid="+ Classid +"&Key="+ Key;
	
	window.open(Url);
}


//HR社区 搜索
function Search_Hr()
{
	var Url;
	var Classid,Key;
	
	Classid		= document.getElementById("ddl_Classid").value;
	Key			= document.getElementById("txt_Key").value;
	
	if(Key == "请输入关键字"){Key = "";}
	
	Url = "../Info/Hr_Search.aspx?Classid="+ Classid +"&Key="+ Key;
	
	window.open(Url);
}

//猎头资讯 搜索
function Search_Headhunt()
{
	var Url;
	var Classid,Key;
	
	Classid		= document.getElementById("ddl_Classid").value;
	Key			= document.getElementById("txt_Key").value;
	
	if(Key == "请输入关键字"){Key = "";}
	
	Url = "../Info/Headhunt_Search.aspx?Classid="+ Classid +"&Key="+ Key;
	
	window.open(Url);
}

//培训动态 搜索
function Search_Train()
{
	var Url;
	var Classid,Key;
	
	Classid		= document.getElementById("ddl_Classid").value;
	Key			= document.getElementById("txt_Key").value;
	
	if(Key == "请输入关键字"){Key = "";}
	
	Url = "../Info/Train_Search.aspx?Classid="+ Classid +"&Key="+ Key;
	
	window.open(Url);
}

//就业指导 搜索
function Search_Campus()
{
	var Url;
	var Classid,Key;
	
	Classid		= document.getElementById("ddl_Classid").value;
	Key			= document.getElementById("txt_Key").value;
	
	if(Key == "请输入关键字"){Key = "";}
	
	Url = "../Info/Campus_Search.aspx?Classid="+ Classid +"&Key="+ Key;
	
	window.open(Url);
}

//招聘会 搜索
function Search_JobFair()
{
	var Url;
	var Classid,Key;
	
	Classid		= document.getElementById("ddl_Classid").value;
	Key			= document.getElementById("txt_Key").value;
	
	if(Key == "请输入关键字"){Key = "";}
	
	Url = "../Info/JobFair_Search.aspx?Classid="+ Classid +"&Key="+ Key;
	
	window.open(Url);
}

//其他频道 搜索
function Search_Public()
{
	var Url;
	var Classid,Key;
	
	Classid		= document.getElementById("ddl_Classid").value;
	Key			= document.getElementById("txt_Key").value;
	
	if(Key == "请输入关键字"){Key = "";}
	
	Url = "../Info/Public_Search.aspx?Classid="+ Classid +"&Key="+ Key;
	
	window.open(Url);
}

//判断浏览器
function createXMLHttp()
{
    var request = false;
    if (window.XMLHttpRequest){ request = new XMLHttpRequest(); }
    else if (window.ActiveXObject) 
    {
       try{ request = new ActiveXObject("MSXML2.XMLHTTP"); } 
       catch (e1) 
       {
         try{ request = new ActiveXObject("Microsoft.XMLHTTP"); } 
         catch (e2){ request = false; }
       }
    }
    return request;
}

//以XML求取ddl_TypeSubid的数据
function XmlPost_TypeSubid(obj)
{
		var svalue = obj.value;
		var webFileUrl = "?typeid=" + svalue;
		var result = "";
		var xmlHttp = createXMLHttp();
		xmlHttp.open("POST", webFileUrl, false);
		xmlHttp.send("");
		result = xmlHttp.responseText;
				　　
		if(result != "")
		{
			document.getElementById("ddl_TypeSubid").length=0;
			var piArray = result.split(",");
			for(var i=0;i<piArray.length;i++)
			{
				var ary = piArray[i].toString().split("|");
				document.getElementById("ddl_TypeSubid").options.add(new Option(ary[1].toString(),ary[0].toString()));
			}
			document.getElementById("hid_TypeSubid").value = document.getElementById("ddl_TypeSubid").options[document.getElementById("ddl_TypeSubid").selectedIndex].value;
		}
		else
		{ 
			document.getElementById("ddl_TypeSubid").length=0;
			document.getElementById("ddl_TypeSubid").options.add(new Option("","1000"));
		}
}